Bug 1476611 - HDD is not read within installation wizard, yet it's seen and mounted both on desktop and fdisk -l. Cannot OS so.
HDD is not read within installation wizard, yet it's seen and mounted both on...
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 13:53 EDT by rottenwheel
Modified: 2017-08-03 12:40 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rottenwheel 2017-07-30 13:53:05 EDT
Description of problem: Impossible to install Fedora 26 on my hard drive. I'm using Fedora 26 Xfce iso.


How reproducible: Boot live from flash drive, try to find a hard drive to install OS on: nothing besides the USB itself shows up


Expected results: 499 GB of storage to give format to and install system on.


Additional info: https://paste.fedoraproject.org/paste/DGzAVxJudp9k4zdwnu6YzQ

Disk /dev/sda: 465.8 GiB, 500107862016 bytes, 976773168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disklabel type: dos
Disk identifier: 0xcb3467ae

Device     Boot     Start       End   Sectors   Size Id Type
/dev/sda1  *         2048   1026047   1024000   500M  7 HPFS/NTFS/exFAT
/dev/sda2         1026048 975028281 974002234 464.5G  7 HPFS/NTFS/exFAT
/dev/sda3       975030272 976769023   1738752   849M 27 Hidden NTFS WinRE




Disk /dev/sdb: 14.6 GiB, 15610576896 bytes, 30489408 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x6b8b4567

Device     Boot  Start     End Sectors  Size Id Type
/dev/sdb1  *         0 2387967 2387968  1.1G  0 Empty
/dev/sdb2       105336  118339   13004  6.4M ef EFI (FAT-12/16/32)
/dev/sdb3       118340  146419   28080 13.7M  0 Empty


Disk /dev/loop0: 1.1 GiB, 1140260864 bytes, 2227072 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop1: 5 GiB, 5370806272 bytes, 10489856 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop2: 512 MiB, 536870912 bytes, 1048576 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/mapper/live-rw: 5 GiB, 5370806272 bytes, 10489856 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/mapper/live-base: 5 GiB, 5370806272 bytes, 10489856 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Comment 1 rottenwheel 2017-07-30 13:58:13 EDT
=== fpaste 0.3.8.3 System Information (fpaste --sysinfo) ===
* OS Release (cat /etc/*-release | uniq):
     Fedora release 26 (Twenty Six)
     NAME=Fedora
     VERSION="26 (Twenty Six)"
     ID=fedora
     VERSION_ID=26
     PRETTY_NAME="Fedora 26 (Twenty Six)"
     ANSI_COLOR="0;34"
     CPE_NAME="cpe:/o:fedoraproject:fedora:26"
     HOME_URL="https://fedoraproject.org/"
     BUG_REPORT_URL="https://bugzilla.redhat.com/"
     REDHAT_BUGZILLA_PRODUCT="Fedora"
     REDHAT_BUGZILLA_PRODUCT_VERSION=26
     REDHAT_SUPPORT_PRODUCT="Fedora"
     REDHAT_SUPPORT_PRODUCT_VERSION=26
     PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
     Fedora release 26 (Twenty Six)
     
* Kernel (uname -r ; cat /proc/cmdline):
     4.11.8-300.fc26.x86_64
     BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-Xfce-Live-26-1-5 rd.live.image quiet
     
* Desktop(s) Running (failed: "ps -eo comm= | grep -E
         '(gnome-session|startkde|startactive|xfce.?-session|fluxbox|blackbox|hackedbox|ratpoison|enlightenment|icewm-session|od-session|wmaker|wmx|openbox-lxde|openbox-gnome-session|openbox-kde-session|mwm|e16|fvwm|xmonad|sugar-session|mate-session|lxqt-session|cinnamon)'
         "):
     N/A

* Desktop(s) Installed (ls -m /usr/share/xsessions/ | sed 's/\.desktop//g' ):
     xfce
     
* SELinux Status (sestatus):
     SELinux status:                 enabled
     SELinuxfs mount:                /sys/fs/selinux
     SELinux root directory:         /etc/selinux
     Loaded policy name:             targeted
     Current mode:                   permissive
     Mode from config file:          enforcing
     Policy MLS status:              enabled
     Policy deny_unknown status:     allowed
     Max kernel policy version:      30
     
* SELinux Error Count (failed: "selinuxenabled && journalctl --since yesterday |grep avc: |grep -Eo
         "comm="[^ ]+" |sort |uniq -c |sort -rn"):
     N/A

* CPU Model (grep 'model name' /proc/cpuinfo | awk -F: '{print $2}' | uniq -c |
         sed -re 's/^ +//' ):
     2  AMD A4-3400 APU with Radeon(tm) HD Graphics
     
* 64-bit Support (grep -q ' lm ' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Hardware Virtualization Support (grep -Eq '(vmx|svm)' /proc/cpuinfo && echo Yes || echo No):
     Yes
     
* Load average (uptime):
      13:57:14 up 37 min,  1 user,  load average: 0.06, 0.19, 0.18
     
* Memory usage (free -m):
                   total        used        free      shared  buff/cache   available
     Mem:           3937         802        1074          37        2061        2819
     Swap:             0           0           0
     
* Top 5 CPU hogs (ps axuScnh | awk '$2!=3118' | sort -rnk3 | head -5):
         1000  2541 28.6 10.4 8771640 422060 ?      Sl   13:42   4:19 firefox
         1000  3086  2.2  0.9 667880 36824 ?        Sl   13:57   0:00 xfce4-terminal
            0  1423  1.7  2.4 567376 97912 tty1     Ssl+ 13:19   0:39 Xorg
            0   618  1.3  0.0      0     0 ?        R<   13:19   0:30 loop1
            0  2033  1.2  4.3 1325676 176560 ?      Sl   13:21   0:27 anaconda
     
* Top 5 Memory hogs (ps axuScnh | sort -rnk4 | head -5):
         1000  2541 28.6 10.4 8771640 422060 ?      Sl   13:42   4:19 firefox
            0  2033  1.2  4.3 1325676 176560 ?      Sl   13:21   0:27 anaconda
            0  1423  1.7  2.4 567376 97912 tty1     Ssl+ 13:19   0:39 Xorg
          987  1213  0.0  1.9 546916 78224 ?        Sl   13:19   0:01 setroubleshootd
         1000  1665  0.1  1.1 591292 47396 ?        Sl   13:20   0:03 xfdesktop
     
* Disk space usage (df -hT):
     Filesystem            Type      Size  Used Avail Use% Mounted on
     devtmpfs              devtmpfs  1.9G     0  1.9G   0% /dev
     tmpfs                 tmpfs     2.0G   36K  2.0G   1% /dev/shm
     tmpfs                 tmpfs     2.0G  1.5M  2.0G   1% /run
     tmpfs                 tmpfs     2.0G     0  2.0G   0% /sys/fs/cgroup
     /dev/sdb1             iso9660   1.2G  1.2G     0 100% /run/initramfs/live
     /dev/mapper/live-rw   ext4      4.9G  3.3G  1.6G  69% /
     tmpfs                 tmpfs     2.0G  444K  2.0G   1% /tmp
     vartmp                tmpfs     2.0G     0  2.0G   0% /var/tmp
     tmpfs                 tmpfs     394M   16K  394M   1% /run/user/1000
     /dev/mapper/live-base ext4      4.9G  3.2G  1.7G  66% /run/install/source
     /dev/sda2             fuseblk   465G   36G  429G   8% /run/media/liveuser/1CA2A8A0A2A87FBE
     
* Block devices (blkid):
     /dev/sdb1: UUID="2017-07-05-22-09-36-00" LABEL="Fedora-Xfce-Live-26-1-5" TYPE="iso9660" PTUUID="6b8b4567" PTTYPE="dos" PARTUUID="6b8b4567-01"
     /dev/sda1: LABEL="System Reserved" UUID="408AA5D68AA5C92C" TYPE="ntfs" PARTUUID="cb3467ae-01"
     /dev/sda2: UUID="1CA2A8A0A2A87FBE" TYPE="ntfs" PARTUUID="cb3467ae-02"
     /dev/sda3: UUID="BAF68793F6874E97" TYPE="ntfs" PARTUUID="cb3467ae-03"
     /dev/sdb2: SEC_TYPE="msdos" LABEL="ANACONDA" UUID="3977-8BD6" TYPE="vfat" PARTUUID="6b8b4567-02"
     /dev/sdb3: UUID="a44a8beb-787d-374f-a3b7-a7567c80f390" LABEL="ANACONDA" TYPE="hfsplus" PARTUUID="6b8b4567-03"
     /dev/loop0: TYPE="squashfs"
     /dev/loop1: LABEL="Anaconda" UUID="cd9e7238-24b2-46e4-ac29-3e702a413d49" TYPE="ext4"
     /dev/loop2: TYPE="DM_snapshot_cow"
     /dev/mapper/live-rw: LABEL="Anaconda" UUID="cd9e7238-24b2-46e4-ac29-3e702a413d49" TYPE="ext4"
     /dev/mapper/live-base: LABEL="Anaconda" UUID="cd9e7238-24b2-46e4-ac29-3e702a413d49" TYPE="ext4"
     
* PCI devices (lspci):
     00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h Processor Root Complex
     00:02.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 12h Processor Root Port
     00:04.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 12h Processor Root Port
     00:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 12h Processor Root Port
     00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (rev 40)
     00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
     00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11)
     00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
     00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11)
     00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 13)
     00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD] FCH Azalia Controller (rev 01)
     00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 11)
     00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD] FCH PCI Bridge (rev 40)
     00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
     00:14.7 SD Host controller: Advanced Micro Devices, Inc. [AMD] FCH SD Flash Controller
     00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
     00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11)
     00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 0 (rev 43)
     00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 1
     00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 2
     00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 3
     00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 4
     00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 6
     00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 5
     00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 7
     01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM]
     01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Caicos HDMI Audio [Radeon HD 6450 / 7450/8450/8490 OEM / R5 230/235/235X OEM]
     02:00.0 Network controller: Ralink corp. RT5390 Wireless 802.11n 1T/1R PCIe
     03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
     
* USB devices (lsusb):
     Bus 003 Device 002: ID 058f:6366 Alcor Micro Corp. Multi Flash Reader
     Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 002 Device 002: ID 0930:6545 Toshiba Corp. Kingston DataTraveler 102/2.0 / HEMA Flash Drive 2 GB / PNY Attache 4GB Stick
     Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
     Bus 004 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
     Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
     
* DRM Information (journalctl -k -b | grep -o 'kernel:.*drm.*$' | cut -d ' ' -f 2-
         ):
     [drm] radeon kernel modesetting enabled.
     fb: switching to radeondrmfb from EFI VGA
     [drm] initializing kernel modesetting (CAICOS 0x1002:0x6779 0x174B:0xE164 0x00).
     [drm] register mmio base: 0xFEA20000
     [drm] register mmio size: 131072
     [drm] Detected VRAM RAM=1024M, BAR=256M
     [drm] RAM width 64bits DDR
     [drm] radeon: 1024M of VRAM memory ready
     [drm] radeon: 1024M of GTT memory ready.
     [drm] Loading CAICOS Microcode
     [drm] Internal thermal controller without fan control
     [drm] radeon: dpm initialized
     [drm] GART: num cpu pages 262144, num gpu pages 262144
     [drm] enabling PCIE gen 2 link speeds, disable with radeon.pcie_gen2=0
     [drm] PCIE GART of 1024M enabled (table at 0x0000000000162000).
     [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
     [drm] Driver supports precise vblank timestamp query.
     [drm] radeon: irq initialized.
     [drm] ring test on 0 succeeded in 2 usecs
     [drm] ring test on 3 succeeded in 6 usecs
     [drm] ring test on 5 succeeded in 2 usecs
     [drm] UVD initialized successfully.
     [drm] ib test on ring 0 succeeded in 0 usecs
     [drm] ib test on ring 3 succeeded in 0 usecs
     [drm] ib test on ring 5 succeeded
     [drm] Radeon Display Connectors
     [drm] Connector 0:
     [drm]   HDMI-A-1
     [drm]   HPD2
     [drm]   DDC: 0x6440 0x6440 0x6444 0x6444 0x6448 0x6448 0x644c 0x644c
     [drm]   Encoders:
     [drm]     DFP1: INTERNAL_UNIPHY1
     [drm] Connector 1:
     [drm]   DVI-D-1
     [drm]   HPD4
     [drm]   DDC: 0x6460 0x6460 0x6464 0x6464 0x6468 0x6468 0x646c 0x646c
     [drm]   Encoders:
     [drm]     DFP2: INTERNAL_UNIPHY
     [drm] Connector 2:
     [drm]   VGA-1
     [drm]   DDC: 0x6430 0x6430 0x6434 0x6434 0x6438 0x6438 0x643c 0x643c
     [drm]   Encoders:
     [drm]     CRT1: INTERNAL_KLDSCP_DAC1
     [drm] fb mappable at 0xC0363000
     [drm] vram apper at 0xC0000000
     [drm] size 8294400
     [drm] fb depth is 24
     [drm]    pitch is 7680
     fbcon: radeondrmfb (fb0) is primary device
     [drm:btc_dpm_set_power_state [radeon]] *ERROR* rv770_restrict_performance_levels_before_switch failed
     radeon 0000:01:00.0: fb0: radeondrmfb frame buffer device
     [drm] Initialized radeon 2.49.0 20080528 for 0000:01:00.0 on minor 0
     
* Xorg modules (grep LoadModule /var/log/Xorg.0.log ~/.local/share/xorg/Xorg.0.log |
         cut -d \" -f 2 | xargs):
     glx radeon ati modesetting fbdev vesa fbdevhw fb dri2 glamoregl ramdac libinput
     
* GL Support (glxinfo | grep -E "OpenGL version|OpenGL renderer"):
     OpenGL renderer string: Gallium 0.4 on AMD CAICOS (DRM 2.49.0 / 4.11.8-300.fc26.x86_64, LLVM 4.0.0)
     OpenGL version string: 3.0 Mesa 17.1.3
     
* Xorg errors (failed: "grep '^\[.*(EE)' /var/log/Xorg.0.log ~/.local/share/xorg/Xorg.0.log
         | cut -d ':' -f 2- "):
     N/A

* Kernel buffer tail (dmesg | tail):
     [  126.123031] wlp2s0: send auth to c8:b3:73:43:28:b7 (try 1/3)
     [  126.125325] wlp2s0: authenticated
     [  126.126926] wlp2s0: associate with c8:b3:73:43:28:b7 (try 1/3)
     [  126.130582] wlp2s0: RX AssocResp from c8:b3:73:43:28:b7 (capab=0x1411 status=0 aid=5)
     [  126.130642] wlp2s0: associated
     [  126.130696] IPv6: ADDRCONF(NETDEV_CHANGE): wlp2s0: link becomes ready
     [  127.041057] EXT4-fs (dm-1): mounted filesystem with ordered data mode. Opts: (null)
     [  134.167309] Btrfs loaded, crc32c=crc32c-generic
     [  134.311425] SGI XFS with ACLs, security attributes, no debug enabled
     [  310.787260] fuse init (API version 7.26)
     
* Last few reboots (last -x -n10 reboot runlevel):
     runlevel (to lvl 5)   4.11.8-300.fc26. Sun Jul 30 10:19   still running
     reboot   system boot  4.11.8-300.fc26. Sun Jul 30 06:19   still running
     
     wtmp begins Sun Jul 30 06:19:29 2017
     
* DNF Repositories (ls -l /etc/yum.repos.d):
     total 16
     -rw-r--r--. 1 root root  707 Jun 30 16:31 fedora-cisco-openh264.repo
     -rw-r--r--. 1 root root 1331 Jun 30 16:31 fedora.repo
     -rw-r--r--. 1 root root 1345 Jun 30 16:31 fedora-updates.repo
     -rw-r--r--. 1 root root 1403 Jun 30 16:31 fedora-updates-testing.repo
     
* DNF Extras (failed: "dnf -C list extras"):
     N/A

* Last 20 packages installed (rpm -qa --nodigest --nosignature --last | head -20):
     gpg-pubkey-64dab85d-57d33e22                  Wed 05 Jul 2017 06:06:41 PM EDT
     langpacks-en-1.0-9.fc26.noarch                Wed 05 Jul 2017 06:04:22 PM EDT
     iwl7260-firmware-25.30.13.0-75.fc26.noarch    Wed 05 Jul 2017 06:04:22 PM EDT
     iwl5150-firmware-8.24.2.2-75.fc26.noarch      Wed 05 Jul 2017 06:04:22 PM EDT
     ipw2100-firmware-1.3-20.fc26.noarch           Wed 05 Jul 2017 06:04:22 PM EDT
     man-pages-4.09-3.fc26.noarch                  Wed 05 Jul 2017 06:04:20 PM EDT
     words-3.0-26.fc26.noarch                      Wed 05 Jul 2017 06:04:19 PM EDT
     rootfiles-8.1-20.fc26.noarch                  Wed 05 Jul 2017 06:04:19 PM EDT
     iwl6000g2a-firmware-18.168.6.1-75.fc26.noarch Wed 05 Jul 2017 06:04:19 PM EDT
     iwl6000-firmware-9.221.4.1-75.fc26.noarch     Wed 05 Jul 2017 06:04:19 PM EDT
     iwl4965-firmware-228.61.2.24-75.fc26.noarch   Wed 05 Jul 2017 06:04:19 PM EDT
     iwl3945-firmware-15.32.2.9-75.fc26.noarch     Wed 05 Jul 2017 06:04:19 PM EDT
     iwl2030-firmware-18.168.6.1-75.fc26.noarch    Wed 05 Jul 2017 06:04:19 PM EDT
     iwl2000-firmware-18.168.6.1-75.fc26.noarch    Wed 05 Jul 2017 06:04:19 PM EDT
     iwl135-firmware-18.168.6.1-75.fc26.noarch     Wed 05 Jul 2017 06:04:19 PM EDT
     iwl105-firmware-18.168.6.1-75.fc26.noarch     Wed 05 Jul 2017 06:04:19 PM EDT
     iwl100-firmware-39.31.5.1-75.fc26.noarch      Wed 05 Jul 2017 06:04:19 PM EDT
     iwl1000-firmware-39.31.5.1-75.fc26.noarch     Wed 05 Jul 2017 06:04:19 PM EDT
     ipw2200-firmware-3.1-13.fc26.noarch           Wed 05 Jul 2017 06:04:19 PM EDT
     bluebird-gtk3-theme-1.2-5.fc26.noarch         Wed 05 Jul 2017 06:04:19 PM EDT
Comment 2 Jiri Konecny 2017-07-31 04:13:14 EDT
This is the storage related issue. Changing component to Blivet.

Do you know why this HDD is not found?
Comment 3 Vitaly Zaitsev 2017-08-03 12:40:15 EDT
> Do you know why this HDD is not found?

Fdisk tool can see his HDD, so this is not a hardware issue, I think.

Note You need to log in before you can comment on or make changes to this bug.